import { IWhiteList } from 'xss';
import type { MdPlugin, ICustomXssRule, ICustomRenderRule } from '../editor-md-types';
export declare class MDRenderService {
    private xssWhiteList;
    private cssWhiteList;
    private mdt;
    private baseUrl;
    private breaks;
    private renderParse;
    constructor();
    private setDefaultXss;
    setBaseUrl(url: string): void;
    setBreaks(breaks: boolean): void;
    setRenderParse(func: Function): void;
    getXssWhiteList(): IWhiteList;
    setXssWhiteList(list: IWhiteList): void;
    setCustomXssRules(rules: ICustomXssRule[]): void;
    setCustomRendererRules(rules: ICustomRenderRule[]): void;
    setOptions(options?: {}): void;
    setPlugins(plugins: Array<MdPlugin>): void;
    private onIgnoreTagAttr;
    private replaceInternalUrl;
    private handleHeaderId;
    generateHTML(text: string): string;
    setRules(mdRules: Record<string, any>): void;
}
